/*
 * Copyright 2010 Google Inc.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except
 * in compliance with the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License
 * is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing permissions and limitations under
 * the License.
 */
/*
 * Warning! This file is generated. Modify at your own risk.
 */

package com.google.api.services.orkut.model;

import com.google.api.client.json.GenericJson;

/**
 * Model definition for OrkutAuthorResource.
 *
 * <p> This is the Java data model class that specifies how to parse/serialize into the JSON that is
 * transmitted over HTTP when working with the Orkut API. For a detailed explanation see:
 * <a href="http://code.google.com/p/google-api-java-client/wiki/Json">http://code.google.com/p/google-api-java-client/wiki/Json</a>
 * </p>
 *
 * <p>
 * Upgrade warning: starting with version 1.12 {@code getResponseHeaders()} is removed, instead use
 * {@link com.google.api.client.http.json.JsonHttpRequest#getLastResponseHeaders()}
 * </p>
 *
 * @author Google, Inc.
 */
@SuppressWarnings("javadoc")
public final class OrkutAuthorResource extends GenericJson {

  /**
   * The name of the author, suitable for display.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String displayName;

  /**
   * Unique identifier of the person who posted the comment. This is the person's OpenSocial ID.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String id;

  /**
   * Image data about the author.
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private Image image;

  /**
   * The URL of the author who posted the comment [not yet implemented]
   * The value may be {@code null}.
   */
  @com.google.api.client.util.Key
  private String url;

  /**
   * The name of the author, suitable for display.
   * The value returned may be {@code null}.
   */
  public String getDisplayName() {
    return displayName;
  }

  /**
   * The name of the author, suitable for display.
   * The value set may be {@code null}.
   */
  public OrkutAuthorResource setDisplayName(String displayName) {
    this.displayName = displayName;
    return this;
  }

  /**
   * Unique identifier of the person who posted the comment. This is the person's OpenSocial ID.
   * The value returned may be {@code null}.
   */
  public String getId() {
    return id;
  }

  /**
   * Unique identifier of the person who posted the comment. This is the person's OpenSocial ID.
   * The value set may be {@code null}.
   */
  public OrkutAuthorResource setId(String id) {
    this.id = id;
    return this;
  }

  /**
   * Image data about the author.
   * The value returned may be {@code null}.
   */
  public Image getImage() {
    return image;
  }

  /**
   * Image data about the author.
   * The value set may be {@code null}.
   */
  public OrkutAuthorResource setImage(Image image) {
    this.image = image;
    return this;
  }

  /**
   * The URL of the author who posted the comment [not yet implemented]
   * The value returned may be {@code null}.
   */
  public String getUrl() {
    return url;
  }

  /**
   * The URL of the author who posted the comment [not yet implemented]
   * The value set may be {@code null}.
   */
  public OrkutAuthorResource setUrl(String url) {
    this.url = url;
    return this;
  }

  /**
   * Image data about the author.
   */
  public static final class Image extends GenericJson {

    /**
     * A URL that points to a thumbnail photo of the author.
     * The value may be {@code null}.
     */
    @com.google.api.client.util.Key
    private String url;

    /**
     * A URL that points to a thumbnail photo of the author.
     * The value returned may be {@code null}.
     */
    public String getUrl() {
      return url;
    }

    /**
     * A URL that points to a thumbnail photo of the author.
     * The value set may be {@code null}.
     */
    public Image setUrl(String url) {
      this.url = url;
      return this;
    }

  }

}
